TaxForms V3

Retrieves tax forms

Fetches tax forms based on client and year filters

get

Query Parameters

policyNumberstring

Policy/Contract number related to the tax form. Dependency: Must be used together with ‘planCode’. Either (policyNumber + planCode) OR (fromDate + toDate) must be provided.

Example:7720001823

planCodestring

Plan Code. Dependency: Must be used together with ‘policyNumber’. Either (policyNumber + planCode) OR (fromDate + toDate) must be provided.

Example:132007A04

taxYearinteger(int32)

Tax year for the form. Dependency: Use either ‘taxYear’ OR ‘numYears’, not both.

Example:2022

numYearsinteger(int32)

Number of years of forms to query in reverse chronological order from taxyear (incl). Min=1 and Max=5. Dependency: Use either ‘numYears’ OR ‘taxYear’, not both.

Default:1

>= 1<= 5

Example:1

fromDatestring(date-time)

Start date for filtering tax forms. Format: yyyy-MM-dd’T’HH:mm:ss.SSS’Z’, Timezone: UTC. Dependency: Must be used together with ‘toDate’. Either (fromDate + toDate) OR (policyNumber + planCode) must be provided.

Example:2025-08-13T15:01:17.542Z

toDatestring(date-time)

End date for filtering tax forms. Format: yyyy-MM-dd’T’HH:mm:ss.SSS’Z’, Timezone: UTC. Dependency: Must be used together with ‘fromDate’. Either (fromDate + toDate) OR (policyNumber + planCode) must be provided.

Example:2025-08-13T15:01:17.542Z

limitinteger(int32)

Maximum number of records to return

Default:10

Example:10

offsetinteger(int32)

Number of records to skip for pagination

Default:0

Example:0

Headers

Authorizationstringrequired

Authorization token

Example:Bearer <token>

x-correlation-idstring

UUID for the request

Example:1760f822-dcbf-49fc-a623-a1998383f4b9

Response

application/json

OK

TaxformResponseList

countinteger(int32)

Number of tax forms found

Example:10

itemsarray[object]
Show Child Parameters
correlationIdstring

Unique ID for correlating requests

Example:1760f822-dcbf-49fc-a623-a1998383f4b9

get/document/v3/tax-forms
 
application/json

Downloads a tax form

Retrieves a tax form by its unique ID

get

Path Parameters

idstringrequired

Form identifier for the taxform, either formId or documentId is mandatory

Headers

Authorizationstringrequired

Authorization token

Example:Bearer <token>

x-correlation-idstring

UUID for the request

Example:1760f822-dcbf-49fc-a623-a1998383f4b9

Response

application/json

OK

TaxformDownloadResponse

fileExtensionstring

File extension of the document

Example:pdf

binaryDatastring

Binary data of the document

Example:wdvb2ekllkk189w0enjansle..

correlationIdstring

Unique ID for correlating requests

Example:1760f822-dcbf-49fc-a623-a1998383f4b9

get/document/v3/tax-forms/{id}/download
 
application/json

ServiceRequestForms V3

Uploads a service request form and saves its details

Uploads a service request form and stores its details in the system. A document ID will be provided for reference.

post

Headers

x-correlation-idstring

Body

multipart/form-data
filestring

The service request form file to upload. Either file or metadata.publicFormUrl is required.

metadataobjectrequired
Show Child Parameters

Response

application/json

Service request form uploaded successfully

ServiceRequestFormUploadResponse

documentIdstring

Unique document ID

Example:670e23dfab593b4387210b81

correlationIdstring

Unique ID for correlating requests

Example:123e4567-e89b-12d3-a456-426614174000

post/document/v3/service-request-form/upload

Body

{}
 
Error initializing code snippet
application/json